// OpenCL Kernel Function for element by element vector addition
    kernel void Test(global const int* a, global const int* b, global int* c, int numElements) {

        // get index into global data array
        int iGID = get_global_id(0);

        // bound check, equivalent to the limit on a 'for' loop
        if (iGID >= numElements)  {
            return;
        }
		
		int v=a[iGID]/10;
		int facing=a[iGID]%10;
		
		int stablo[20];
		int i=0;
		for(i=0;i<20;i++){
		stablo[i]=b[20*iGID+i];
		}
		
        // add the vector elements
        c[iGID] = stablo[3];
    	
    }